@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

/*================================
    Catalog Selector Menu Button
================================*/
@import "../support/_catalogSelector-variables.scss";

.yw-catalog-selector {
    color: $catalogSelector__button--color;
    position: relative;

    &:before,
    &:after {
        width: 1px;
        content: "";
        background-color: $catalogSelector__button-border--bg-color;
        position: absolute;
        top: $catalogSelector__button-border--top;
        bottom: $catalogSelector__button-border--bottom;
        z-index: 1;
    }

    &:before {
        left: 0;
    }

    &:after {
        right: 0;
    }
    
    button.z-button {
        width: $catalogSelector__button--width;
        height: $catalogSelector__button--height;
        max-width: $catalogSelector__button--max-width;
        min-height: $catalogSelector__button--min-height;
        font-size: $catalogSelector__button--font-size;
        background: $catalogSelector__button--bg-color;
        border-left: $catalogSelector__button--border;
        border-right: $catalogSelector__button--border;
        padding: $catalogSelector__button--padding;
        color: inherit;
        text-overflow: ellipsis;
        overflow: hidden;
        text-transform: none;
        font-weight: 500;
        text-align: left;
        position: relative;

        &:hover,
        &:focus,
        &:active {
            color: $catalogSelector__button-hover--color;
            
            + span:empty {
                color: $catalogSelector__button-hover--color;
            }
        }

        &:active {
            box-shadow: none;
        }

        + span:empty {
            color: $catalogSelector__button--color;
            background: $catalogSelector__button--bg-color;
        }
    }

    button.z-button, 
    span:last-child:empty {
        &:after {
            right: $catalogSelector__button-icon--right;
            width: $catalogSelector__button-icon--size;
            height: $catalogSelector__button-icon--size;
            line-height: $catalogSelector__button-icon--size;            
            content: $catalogSelector__button-icon-down--content;
            margin-top: $catalogSelector__button-icon--adjust-margin;
            font-family: $catalogSelector__button-icon--font-family;
            top: 50%;
            text-align: center;
            color: inherit;
            position: absolute;
        }
    }

    span:last-child:empty {
        font-size: $catalogSelector__button--font-size;
        display: block !important;
        width: 0;
        
        &:after {
            right: $catalogSelector__button-icon-empty--right;
            content: $catalogSelector__button-icon-up--content;
            background-color: inherit;
        }
    }
}
